Subject: Re: bug#20670: [PATCH] nnimap: enable additional expunge options (v3)

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 25 Jan 2017 01:23:23 +0100

Nikolaus Rath <[email-masked]> writes:

> On Jan 25 2017, Lars Ingebrigtsen <[email-masked]> wrote:
>> (The reason you call out of the mail headers is because you have a
>>
>>   Mail-Copies-To: never
>>
>> in the mails you send out.  So you're never Cc'd.)
>
> Oh. That's intended to avoid Cc's when people are repyling to mailing
> list messages. Is debbugs considering itself a mailing list? That would
> explain it..
>
>> There was a bug in the patch, so I've reverted it for now.
>>
>> Here's the backtrace:
>>
>> Debugger entered--Lisp error: (error "Format specifier doesn’t match
>> argument type")
>>   format("%d .*\n" (t ("OK" ("HIGHESTMODSEQ" "914696") "Expunge"
>> "completed.") ("VANISHED" "1825937") ("0" "RECENT")))
>>   (looking-at (format "%d .*\n" sequence))
>>   (not (looking-at (format "%d .*\n" sequence)))
>>   (progn (while (and (not (bobp)) (progn (forward-line -1) (looking-at
> [...]
>
> Can you tell me how to reproduce it? As I've said, it's been working
> fine here for over a year.

I just hit `g'.  Whenever there's a new email that's split, it fails.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no